<?xml version="1.0" encoding="UTF-8"?>
<!-- Dieses Stylesheet wird auf die TEI/XML-Datei eines Reiseberichts angewendet, um eine Liste zu erzeugen, in der die Seiten (Folionummern) den jeweiligen Bilddateien zugeordnet sind. Diese Liste wird als .txt-Datei ins WordPress hochgeladen, was die Anzeige der Digitalisate ermöglicht. -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" version="2.0">
    <xsl:output method="text"/>
    <xsl:template match="/">
        <xsl:variable name="imgpath" select="concat('mss_',//tei:prefixDef[@ident='img']/substring-before(substring-after(@replacementPattern,'https://hainhofer.hab.de/img/mss/'),'/$1'),'_')"/>
        <xsl:for-each select="//tei:pb">
            <xsl:value-of select="@n"/><xsl:text>,</xsl:text><xsl:value-of select="concat($imgpath,substring-before(substring-after(@facs,'img:'),'.jpg'))"/><xsl:text>
</xsl:text>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>